Announcement

Collapse
No announcement yet.

AMD Catalyst On Fedora 20 Is Left In An Awkward State

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • AMD Catalyst On Fedora 20 Is Left In An Awkward State

    Phoronix: AMD Catalyst On Fedora 20 Is Left In An Awkward State

    Fedora 20 users wishing to run AMD's proprietary Catalyst driver may have a difficult time ahead...

    http://www.phoronix.com/vr.php?view=MTY5NTE

  • #2
    Causing problems for bleeding-edge Linux users is that the Catalyst 14.4 driver doesn't yet support for Linux 3.14 kernel
    So what is the problem today, i use fglrx 14.4 package on Debian Sid it use currently xsever 1.15 and kernel 3.14. Flgrx just needs to be pathed with this http://sources.debian.net/src/fglrx-...inux3.14.patch then it works fine here

    Michael, reading on other sites i see today "Fedora Project Leader Quits" - maybe that will be interesting article for you .

    edit: Ahh you have it http://www.phoronix.com/scan.php?pag...tem&px=MTY5NTA

    http://www.muktware.com/2014/05/fedo...t-leader-quits

    Comment


    • #3
      "I don't know what the stats are, but I bet there are a lot more AMD users then Nvidia among those running Linux in general."

      I didn't know there were so many masochists out there :P

      Comment


      • #4
        If you need to patch it then it doesn't work. But I had a similar experience with Nvidia and kernel 3.14. Only Nvidia's 337 drivers will install without any issue, so long as I disable DKMS. That's the same issue with AMD 14.4.

        Comment


        • #5
          Windows Catalyst users have issues with installation, so it does not work there too - for example http://forums.amd.com/game/messagevi...hreadid=173477

          Some of the issues are even mentioned on AMD page

          Description:
          AMD has received feedback that some users are unable to install the Catalyst 14.4 driver on some motherboards with AMD chipsets. We have investigated the issue and have determined that it was caused by the AHCI driver component that was included with the driver package.

          We have therefore removed the AHCI driver component from the driver package and will be providing it as a separate download.

          If you were affected by this issue, we recommend you download and install this updated version of the driver.

          Before installing this driver, please ensure you have uninstalled the previous driver using the Add/Remove programs option in the Control Panel and also deleted the installation folder for the previous driver. This folder can be found at the following locations:

          C:/AMD/support/14-4-win7-win8-win8.1-64-dd-ccc-whql
          or
          C:/AMD/support/14-4-win7-win8-win8.1-32-dd-ccc-whql
          http://support.amd.com/en-us/downloa...alyst-packages
          Last edited by dungeon; 05-20-2014, 04:31 PM.

          Comment


          • #6
            And that's why AMD should rather drop Catalyst and put more resources behind Mesa.

            Comment


            • #7
              Originally posted by phoronix View Post
              Phoronix: AMD Catalyst On Fedora 20 Is Left In An Awkward State

              Fedora 20 users wishing to run AMD's proprietary Catalyst driver may have a difficult time ahead...

              http://www.phoronix.com/vr.php?view=MTY5NTE
              They can not cope with support for Linux 3.14 ?!?! weakly :P

              Kubuntu 14.04 + kernel v29.4 [3.14.4] + Catalyst-14.4

              Comment


              • #8
                Yeah, AMD's installer is pretty dodgy. Luckily with debian sid it's pretty simple, IDK if just install fglrx-dkms works but I used fglrx-source + module-assistant and everything works like a charm, well, aside from that one bug where video playback using xcb or something causes x to restart.

                Comment


                • #9
                  Ever since F20, it's so damn hard to run Catalyst (though there's no such problem for Nvidia) that it makes distros that package the proprietary driver (like Debian and Ubuntu) very, very attractive.
                  Fedora does not target users that rely on the binary blobs, so of course it is going to be less attractive to them.

                  Comment


                  • #10
                    I'd happily take the performance hit of running the open Radeon driver on my AMD A4-4300M APU with AMD Radeon HD 7420G graphics, but I can only get working suspend/resume with Catalyst.
                    I'm guessing he's talking about this: https://bugs.freedesktop.org/show_bug.cgi?id=42960 . There is a workaround in the report related to pm-suspend. Also, it would be great if someone can bisect.

                    Comment


                    • #11
                      I switched from Geforce to Radeon for the FOSS drivers. I'd be an idiot if I did it for Catalyst since it's way worse than Nvidia's blobs

                      Comment


                      • #12
                        Originally posted by pouar View Post
                        I switched from Geforce to Radeon for the FOSS drivers. I'd be an idiot if I did it for Catalyst since it's way worse than Nvidia's blobs
                        But, Catalyst 14.4 is supposedly working well in Ubuntu 14.04 (and probably Debian)? Check the AMD graphics section.

                        Comment


                        • #13
                          well i do the flollowing see kernel updates on software manager search for kernel updates if i find it then waith until catalyst beta comes out, also fedora dont support closed source

                          Comment


                          • #14
                            Originally posted by Panix View Post
                            But, Catalyst 14.4 is supposedly working well in Ubuntu 14.04 (and probably Debian)? Check the AMD graphics section.
                            Yep 14.4 works fine in Debian (and probably Ubuntu) . But only if you use 64bit OS, in 32bit OS variant fglrx 2D is utter slow for some reason .

                            I guess most use 64bit OS, but if somebody use 32bit just be aware of that .

                            Comment


                            • #15
                              Workaround for Catalyst with Wayland-enabled GNOME 3 in Fedora 20

                              For the problem with GNOME 3 on Fedora 20, there's a workaround: https://bugzilla.redhat.com/show_bug.cgi?id=1054435#c4

                              Basically it's a bug in cogl.

                              I switched back to RadeonSI driver when I saw Kernel 3.14 in repo.
                              Not sure about Catalyst with Kernel 3.14.

                              Before that, I always use binary blob from AMD.com, rather than rpmfusion packaged one.
                              The 32bit lib in rpmfusion package has broken for long, which makes none of Steam game run.

                              Comment

                              Working...
                              X